: Class HttpAcceptEncoding

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Class HttpAcceptEncoding

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpAcceptEncoding

public class HttpAcceptEncoding
extends BasicValue

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Constructor Summary
`HttpAcceptEncoding()`

Method Summary
`java.lang.String` | `getEncoding()` Get this accept encoding clause encoding.
`double` | `getQuality()` Get the quality at which this encoding is accepted.
`java.lang.Object` | `getValue()` HeaderValue implemenntation - Get this header value.
`protected void` | `invalidateByteValue()` Invalidate the current byte value for this header, if any.
`protected void` | `parse()` parse.
`void` | `setEncoding(java.lang.String encoding)` Set the encoding accepted by this clause.
`void` | `setQuality(double quality)` Set the quality under which this encoding is accepted.
`protected void` | `updateByteValue()` Update the RFC822 compatible header value for this object.

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpAcceptEncoding

    public HttpAcceptEncoding()

Method Detail

### parse

    protected void parse()
                  throws HttpParserException

  parse.
  Overrides:
    parse in class BasicValue
  Throws:
    HttpParserException - if parsing failed.

### invalidateByteValue

    protected void invalidateByteValue()

  Description copied from class: BasicValue
  Invalidate the current byte value for this header, if any.
  Overrides:
    invalidateByteValue in class BasicValue

### updateByteValue

    protected void updateByteValue()

  Description copied from class: BasicValue
  Update the RFC822 compatible header value for this object.
  Overrides:
    updateByteValue in class BasicValue

### getValue

    public java.lang.Object getValue()

  Description copied from class: BasicValue
  HeaderValue implemenntation - Get this header value.
  Overrides:
    getValue in class BasicValue
  Tags copied from class: BasicValue
  Returns:
    An object representing the parsed value for this header.

### getEncoding

    public java.lang.String getEncoding()

  Get this accept encoding clause encoding.
  Returns:
    A String encoding the encoding token.

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Set the encoding accepted by this clause.
  Parameters:
    `encoding` - The accepted encoding.

### getQuality

    public double getQuality()

  Get the quality at which this encoding is accepted.
  Returns:
    A double value, encoding the quality, or 1.0 if undefined.

### setQuality

    public void setQuality(double quality)

  Set the quality under which this encoding is accepted.
  Parameters:
    `q` - The quality for this encoding.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD